<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:id="@+id/title_layout"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        tools:ignore="MissingConstraints">

        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_centerVertical="true"
            android:text="Compressing"
            android:textColor="#ff000000"
            android:textSize="19sp"
            android:textStyle="bold" />

        <ImageView
            android:id="@+id/fanhui"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="18dp"
            android:src="@mipmap/fanhui"
            app:tint="@color/black" />
    </RelativeLayout>


    <com.airbnb.lottie.LottieAnimationView
        android:id="@+id/compressing_animation"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="-160dp"
        app:lottie_rawRes="@raw/compression_ing"
        app:lottie_autoPlay="true"
        app:lottie_loop="true" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="160dp"
        android:orientation="vertical">

        <TextView
            android:id="@+id/text_progress"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/compressing_animation"
            android:layout_centerHorizontal="true"
            android:layout_gravity="center_horizontal"
            android:text="3/3"
            android:textColor="#ff000000"
            android:textSize="19sp"
            android:textStyle="bold" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="8dp"
            android:text="photo compression..."
            android:textColor="#ff666666"
            android:textSize="14sp" />


        <ProgressBar
            android:id="@+id/compressing_progress"
            style="@style/ProgressBarStyle"
            android:layout_width="match_parent"
            android:layout_height="6dp"
            android:layout_marginLeft="36dp"
            android:layout_marginTop="18dp"
            android:layout_marginRight="36dp"
            android:indeterminate="false"
            android:max="100"
            android:progress="50"
            android:progressDrawable="@drawable/progress_bar_drawable"
            android:secondaryProgress="0" />

    </LinearLayout>
</RelativeLayout>